<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Multi Advance
 */
?>

<footer role="contentinfo">
  <?php //Set widget areas classes based on user choice
    $multi_advance_widget_areas = get_theme_mod('multi_advance_footer_widget_areas', '4');
    if ($multi_advance_widget_areas == '3') {
      $cols = 'col-lg-4 col-md-4';
    } elseif ($multi_advance_widget_areas == '4') {
      $cols = 'col-lg-3 col-md-6';
    } elseif ($multi_advance_widget_areas == '2') {
      $cols = 'col-lg-6 col-md-6';
    } else {
      $cols = 'col-lg-12 col-md-12';
    }
  ?>
  <div id="footer" class="copyright-wrapper">
    <div class="container">
      <div class="row">
        <?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
          <div class="sidebar-column <?php echo ( $cols ); ?>">
            <?php dynamic_sidebar( 'footer-1'); ?>
          </div>
        <?php endif; ?> 
        <?php if ( is_active_sidebar( 'footer-2' ) ) : ?>
          <div class="sidebar-column <?php echo ( $cols ); ?>">
            <?php dynamic_sidebar( 'footer-2'); ?>
          </div>
        <?php endif; ?> 
        <?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
          <div class="sidebar-column <?php echo ( $cols ); ?>">
            <?php dynamic_sidebar( 'footer-3'); ?>
          </div>
        <?php endif; ?> 
        <?php if ( is_active_sidebar( 'footer-4' ) ) : ?>
          <div class="sidebar-column <?php echo ( $cols ); ?>">
            <?php dynamic_sidebar( 'footer-4'); ?>
          </div>
        <?php endif; ?>
      </div>
    </div>
  </div>
  <div class="copyright p-3">
    <div class="container">
      <p class="mb-0"><?php multi_advance_credit(); ?> <?php echo esc_html(get_theme_mod('multi_advance_footer_copy', __('By Themeshopy', 'multi-advance')));?></p>
      <div class="social-icons d-md-inline-block">
        <?php if(get_theme_mod('multi_advance_facebook_url') != ''){?>
          <a href="<?php echo esc_url(get_theme_mod('multi_advance_facebook_url')); ?>"><i class="fab fa-facebook-f"></i><span class="screen-reader-text"><?php echo esc_html('Facebook', 'multi-advance'); ?></span></a>
        <?php }?>
        <?php if(get_theme_mod('multi_advance_twitter_url') != ''){?>
          <a href="<?php echo esc_url(get_theme_mod('multi_advance_twitter_url')); ?>"><i class="fab fa-twitter"></i><span class="screen-reader-text"><?php echo esc_html('Twitter', 'multi-advance'); ?></span></a>
        <?php }?>
        <?php if(get_theme_mod('multi_advance_instagram_url') != ''){?>
          <a href="<?php echo esc_url(get_theme_mod('multi_advance_instagram_url')); ?>"><i class="fab fa-instagram"></i><span class="screen-reader-text"><?php echo esc_html('Instagram', 'multi-advance'); ?></span></a>
        <?php }?>
        <?php if(get_theme_mod('multi_advance_linkedin_url') != ''){?>
          <a href="<?php echo esc_url(get_theme_mod('multi_advance_linkedin_url')); ?>"><i class="fab fa-linkedin"></i><span class="screen-reader-text"><?php echo esc_html('Linkedin', 'multi-advance'); ?></span></a>
        <?php }?>
        <?php if(get_theme_mod('multi_advance_youtube_url') != ''){?>
          <a href="<?php echo esc_url(get_theme_mod('multi_advance_youtube_url')); ?>"><i class="fab fa-youtube"></i><span class="screen-reader-text"><?php echo esc_html('Youtube', 'multi-advance'); ?></span></a>
        <?php }?>
      </div>
    </div>
  </div>
</footer>
<?php if( get_theme_mod( 'multi_advance_enable_disable_scroll',true) != '') { ?>
  <?php $multi_advance_theme_lay = get_theme_mod( 'multi_advance_scroll_setting','Right');
    if($multi_advance_theme_lay == 'Left'){ ?>
      <button id="scroll-top" class="left-align" title="<?php esc_attr_e('Scroll to Top','multi-advance'); ?>"><span class="fas fa-chevron-up" aria-hidden="true"></span><span class="screen-reader-text"><?php esc_html_e('Scroll to Top', 'multi-advance'); ?></span></button>
    <?php }else if($multi_advance_theme_lay == 'Center'){ ?>
      <button id="scroll-top" class="center-align" title="<?php esc_attr_e('Scroll to Top','multi-advance'); ?>"><span class="fas fa-chevron-up" aria-hidden="true"></span><span class="screen-reader-text"><?php esc_html_e('Scroll to Top', 'multi-advance'); ?></span></button>
    <?php }else{ ?>
      <button id="scroll-top" title="<?php esc_attr_e('Scroll to Top','multi-advance'); ?>"><span class="fas fa-chevron-up" aria-hidden="true"></span><span class="screen-reader-text"><?php esc_html_e('Scroll to Top', 'multi-advance'); ?></span></button>
  <?php }?>
<?php }?>

<?php wp_footer();?>
</body>
</html>